#include <stdio.h>
#include <string.h>

int main()
{
    char a[3001];
    int i, j, n, zs, ls, li, di;
    scanf("%s", a);
    n=strlen(a);
    ls=0;
    zs=0;
    for(i=1; i<n-1;i++)
    {
        li=i;
        di=i+1;
        j=0;
        while(li-j >= ls && di+j<n)
        {
            if(a[li-j] == a[di+j])
            {
                while(a[li-j] == a[di+j] && li-j >=ls &&  di+j<n)
                {
                    zs++;
                    j++;
                }
                ls=i;
                i=li+ j -1;
                break;
            }
            else j++;
        }
    }
    printf("%d",zs);
    return 0;
}